Bullet Collision Detection & Physics Library: btConvex2dConvex2dAlgorithm::CreateFunc Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btConvex2dConvex2dAlgorithm::CreateFunc Struct Reference

`#include <btConvex2dConvex2dAlgorithm.h>`

Inheritance diagram for btConvex2dConvex2dAlgorithm::CreateFunc:
[legend]
Collaboration diagram for btConvex2dConvex2dAlgorithm::CreateFunc:
[legend]

## Public Member Functions
| CreateFunc (btSimplexSolverInterface *simplexSolver, btConvexPenetrationDepthSolver *pdSolver)
virtual | ~CreateFunc ()
virtual btCollisionAlgorithm * | CreateCollisionAlgorithm (btCollisionAlgorithmConstructionInfo &ci, const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap)
Public Member Functions inherited from btCollisionAlgorithmCreateFunc
| btCollisionAlgorithmCreateFunc ()
virtual | ~btCollisionAlgorithmCreateFunc ()

## Public Attributes
btConvexPenetrationDepthSolver * | m_pdSolver
btSimplexSolverInterface * | m_simplexSolver
int | m_numPerturbationIterations
int | m_minimumPointsPerturbationThreshold
Public Attributes inherited from btCollisionAlgorithmCreateFunc
bool | m_swapped

## Detailed Description

Definition at line 64 of file btConvex2dConvex2dAlgorithm.h.

## Constructor & Destructor Documentation

## ◆ CreateFunc()

btConvex2dConvex2dAlgorithm::CreateFunc::CreateFunc | ( | btSimplexSolverInterface * | simplexSolver,
|  | btConvexPenetrationDepthSolver * | pdSolver )

Definition at line 45 of file btConvex2dConvex2dAlgorithm.cpp.

## ◆ ~CreateFunc()

btConvex2dConvex2dAlgorithm::CreateFunc::~CreateFunc | ( |  | ) |
| virtual

Definition at line 51 of file btConvex2dConvex2dAlgorithm.cpp.

## Member Function Documentation

## ◆ CreateCollisionAlgorithm()

virtual btCollisionAlgorithm * btConvex2dConvex2dAlgorithm::CreateFunc::CreateCollisionAlgorithm | ( | btCollisionAlgorithmConstructionInfo & | ci,
|  | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap )
| inlinevirtual

Reimplemented from btCollisionAlgorithmCreateFunc.

Definition at line 75 of file btConvex2dConvex2dAlgorithm.h.

## Member Data Documentation

## ◆ m_minimumPointsPerturbationThreshold

int btConvex2dConvex2dAlgorithm::CreateFunc::m_minimumPointsPerturbationThreshold

Definition at line 69 of file btConvex2dConvex2dAlgorithm.h.

## ◆ m_numPerturbationIterations

int btConvex2dConvex2dAlgorithm::CreateFunc::m_numPerturbationIterations

Definition at line 68 of file btConvex2dConvex2dAlgorithm.h.

## ◆ m_pdSolver

btConvexPenetrationDepthSolver* btConvex2dConvex2dAlgorithm::CreateFunc::m_pdSolver

Definition at line 66 of file btConvex2dConvex2dAlgorithm.h.

## ◆ m_simplexSolver

btSimplexSolverInterface* btConvex2dConvex2dAlgorithm::CreateFunc::m_simplexSolver

Definition at line 67 of file btConvex2dConvex2dAlgorithm.h.

The documentation for this struct was generated from the following files:

- btConvex2dConvex2dAlgorithm.h
- btConvex2dConvex2dAlgorithm.cpp